=== debian/changelog ===
xzip (1:1.8.2-5) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Games team
    Closes: #1082846
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Strip unusual field spacing from debian/control.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Fix build with gcc-14
    Closes: #1066696
  * Upstream patch for type 3 font is installed as requested in bug #106391
    but it seems to need extra means inside debian/rules - thus not closing
    the bug
  * Enable hardening options
  * copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 27 Sep 2024 18:16:22 +0200

xzip (1:1.8.2-4) unstable; urgency=low

  * Incorporate upload from mentors.debian.net, thanks David Gilman.
    + Non-maintainer upload.
    + Bump debhelper compat
    + Add Homepage: field
    + Bump Standards-Version to 3.9.5
    + Add watchfile
    + Change to 3.0 (quilt) format
    + Add remove_conflicting_function_names patch to compile under c99
    + Add remove_test_target patch to remove long-broken test target
    + Add fix_manpage patch (closes LP: #1076095)
    + Add enable_hardening patch to switch to dpkg-buildflags
  * Replace remove_test_target patch with empty override_dh_auto_test.
  * Replace enable_hardening patch with respect_cflags_env patch so
    debhelper's dh_auto_build can set the variables.

 -- Daniel Schepler <schepler@debian.org>  Sat, 21 Jun 2014 11:00:24 -0700

xzip (1:1.8.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.6.1 (no changes needed).
  * Corrected formatting error in debian/copyright (thanks lintian).

 -- Daniel Schepler <schepler@debian.org>  Wed, 28 Apr 2004 05:06:15 -0700

xzip (1:1.8.2-2) unstable; urgency=low

  * Update to use debhelper and cdbs.
  * Rebuild against split X libraries, and update the Build-Depends
    accordingly.
  * Split debian diffs into debian/patches/.

 -- Daniel Schepler <schepler@debian.org>  Wed, 28 Apr 2004 03:36:06 -0700

xzip (1:1.8.2-1) unstable; urgency=low

  * New maintainer. (Closes: #82449)
  * New upstream release. (Closes: #43285)
  * Changed package description to include jzip as a possible text-mode
    interpreter.  Also, frotz is now in main. (Closes: #53431)
  * Changed version numbering to correspond to what's used in the README
    file.
  * Updated to standards version 3.2.1.

 -- Daniel Schepler <schepler@debian.org>  Sun, 28 Jan 2001 18:06:24 -0800

xzip (1.70-3) frozen unstable; urgency=low

  * Rewritten code to form default filenames; now saves in ~/.infocom by
    default (#21571)

 -- Mark Baker <mbaker@iee.org>  Thu, 23 Apr 1998 21:47:03 +0100

xzip (1.70-2) frozen unstable; urgency=low

  * strict Z-code checking off by default (option to turn it on should still
    work)

 -- Mark Baker <mbaker@iee.org>  Fri, 17 Apr 1998 18:41:32 +0100

xzip (1.70-1) frozen unstable; urgency=low

  * New upstream release (bugfixes) (#21053)

 -- Mark Baker <mbaker@iee.org>  Tue, 14 Apr 1998 18:41:32 +0100

xzip (1.61-4.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * Move man page to section 6.
  * Put all conflicts on a single line (they were word-wrapped).
  * Make update-alternatives calls point to the right places: xzip is
    in /usr/games, man page is in /usr/man/man6, zcode-interpreter is
    now in /usr/games.
  * Add some jiggery-pokery to the maintainer scripts to clean up the
    mess the zcode-interpreter alternatives are in.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  7 Apr 1998 21:58:16 +0100

xzip (1.61-4) unstable; urgency=low

  * Changed to use alternatives instead of zcode-support (#18672)

 -- Mark Baker <mbaker@iee.org>  Sat, 28 Feb 1998 20:16:55 +0000

xzip (1.61-3) unstable; urgency=low

  * Compressed manpage
  * Updated to standards version 2.4.0.0

 -- Mark Baker <mbaker@iee.org>  Tue, 10 Feb 1998 00:09:48 +0000

xzip (1.61-2) unstable; urgency=low

  * Compiled against xlib6g
  * Install in /usr/games instead of /usr/bin

 -- Mark Baker <mbaker@iee.org>  Tue, 09 Sep 1997 21:55:00 +0100

xzip (1.61-1) unstable; urgency=low

  * First debian release

 -- Mark Baker <mbaker@iee.org>  Mon, 02 Jun 1997 21:07:00 +0100
