=== debian/control ===
Source: xzip
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13), libx11-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xzip
Vcs-Git: https://salsa.debian.org/games-team/xzip.git
Homepage: https://www.eblong.com/zarf/xzip.html
Rules-Requires-Root: no

Package: xzip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: zcode-interpreter
Suggests: zcode-game
Replaces: zcode-support
Conflicts: zcode-support, gsn-curses (= 16-1), gsn-jigsaw (= 3-1), gumshoe (=1-1), so-far (= 6-1), weather (= 6-1)
Description: Interpreter of Infocom-format story-files
 Xzip interprets story-files (which are usually text adventure games)
 in the format used by Infocom.  This includes the games published by
 Infocom, as well as any games produced by compilers to this format,
 such as Inform.
 .
 This is an interpreter for X. For text mode, try frotz or jzip.
