=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(\d)(\d)/$1.$2.$3/ http://www.eblong.com/zarf/ftp/xzip(.*)[.](?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|Z)))
