## xzip 1.70

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,9 @@
 #    (Solaris 2.5, don't know about other versions)
 #SYSTEMFLAGS = -DBIG_END_MODE
 #SYSTEMLIBS = -R$(XLIB)  -lsocket
+# One user has reported using 
+#  CFLAGS = -O $(SYSTEMFLAGS) -I/usr/openwin/share/include -I/usr/openwin
+# to compile under Solaris.
 
 # definitions for DECstation / Ultrix
 #SYSTEMFLAGS = -DLITTLE_END_MODE
@@ -53,9 +56,6 @@
 #   680x0 or PPC machine.
 #SYSTEMFLAGS = -DAUTO_END_MODE
 
-# definitions for BSDI 4
-#SYSTEMFLAGS = -DAUTO_END_MODE
-
 # definitions for some arbitrary big-endian system
 #SYSTEMFLAGS = -DBIG_END_MODE
 
@@ -64,37 +64,10 @@
 
 # --------------------
 
-# definitions for where the X lib and include directories are.
-# The following are defaults that might work.
-
-XINCLUDE = /usr/include/X11
-XLIB = /usr/lib/X11
-
-# If your compiler can't find these things, try commenting out the
-# above, and uncommenting various versions below. Also look around
-# your hard drive for the appropriate files. (The XINCLUDE directory
-# should contain the file "Xlib.h", and the XLIB dir should contain 
-# "libX11.so" or "libX11.a".)
-# The problem is, depending on how things are installed, the
-# directories could be just about anywhere. Sigh.
-
-# for Debian or SuSE Linux
-#XINCLUDE = /usr/X11R6/include/X11
-#XLIB = /usr/X11R6/lib
-
-# for Red Hat Linux
-#XINCLUDE = /usr/include/X11
-#XLIB = /usr/X11/lib
-
-# for SparcStation / Solaris 
-#XINCLUDE = /usr/openwin/include
-#XLIB = /usr/openwin/lib
-
-# for BSDI 4
-#XINCLUDE = /usr/X11R6/include
-#XLIB = /usr/X11/lib
-
-# --------------------
+# definitions for where the X lib and include directories are
+XDIR = /usr
+XINCLUDE = $(XDIR)/include/X11
+XLIB = $(XDIR)/lib/X11
 
 # definition for where to install xzip executable and man page
 DESTDIR = /usr/local
@@ -136,7 +109,7 @@
 INC = ztypes.h
 OBJS = zip.o control.o extern.o fileio.o input.o interpre.o math.o memory.o \
 	object.o operand.o osdepend.o property.o screen.o text.o variable.o \
-	pickle.o quetzal.o
+	pickle.o
 
 XOBJS = xio.o xinit.o xtext.o xkey.o xmess.o xstat.o
 
@@ -150,7 +123,7 @@
 
 pickle.o : pickle.h
 
-$(XOBJS) : $(INC) xio.h version.h
+$(XOBJS) : xio.h version.h
 
 xio.o: xio.c xio.h greypm.bm
 	$(CC) $(CFLAGS) -c xio.c
